dbXML API

## org.dbxml.core.security
Interface Credentials

All Known Implementing Classes:
  PasswordCredentials

public interface Credentials

Credenials encapsulates authentication credentials within the system.

Method Summary
`boolean` `checkGroup(java.lang.String group)` Determines if these credentials have an association with the specified group.
`java.util.ArrayList` `getGroups()` Returns the list of groups to which these credentials belong.
`void` `verify()` Verifies that the credentials are valid.

Method Detail

### verify

    public void verify()
                throws InvalidCredentialsException

  Verifies that the credentials are valid.
  Throws:
    `InvalidCredentialsException` - Thrown if the credentials are not valid.

### checkGroup

    public boolean checkGroup(java.lang.String group)
                       throws AccessDeniedException,
                              InvalidCredentialsException

  Determines if these credentials have an association with the specified group.
  Parameters:
    `group` - The group to check membership of
  Returns:
    true if the group membership exists false otherwise.
  Throws:
    `AccessDeniedException` - Thrown when access to the resource is denied.
    `InvalidCredentialsException` - Thrown if the provided credentials are not valid.

### getGroups

    public java.util.ArrayList getGroups()

  Returns the list of groups to which these credentials belong.
  Returns:
    the list of groups

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved